from sqlalchemy import Column, Integer, DateTime, func
from app.db.session import Base

class BaseModel(Base):
    """Base model for all database models"""
    __abstract__ = True
    
    id = Column(Integer, primary_key=True, index=True)
    created_at = Column(DateTime, default=func.now())
    updated_at = Column(DateTime, default=func.now(), onupdate=func.now())